package projectzombie.menu.gui;

import projectzombie.util.ItemStack;

public class GUIItemSlotReadonly extends GUIItemSlot
{

	public GUIItemSlotReadonly(double hitboxSize, boolean renderItem, ItemStack stack) {
		super(hitboxSize, renderItem, new GUIItemSlotGetter()
		{
			@Override
			public void setItemStack(ItemStack stack) {
			}
			
			@Override
			public boolean isAllowed(ItemStack stack) {
				return false;
			}
			
			@Override
			public ItemStack getItemStack() {
				return stack.copy();
			}
			
			@Override
			public boolean isReadOnly() {
				return true;
			}
		});
	}

}
